libipc-run-perl (20180523.0-2+dyson1) unstable; urgency=medium

  * Package for Dyson

 -- Igor Pashev <pashev.igor@gmail.com>  Sat, 30 Nov 2019 20:24:16 +0300

libipc-run-perl (20180523.0-2) unstable; urgency=medium

  * Mark package as Multi-Arch: foreign. (Closes: #943968)
  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.1.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Fri, 01 Nov 2019 23:50:33 +0100

libipc-run-perl (20180523.0-1) unstable; urgency=medium

  * Import upstream version 20180523.0
  * Declare compliance with Debian policy 4.1.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 23 May 2018 21:35:49 +0200

libipc-run-perl (0.99-1) unstable; urgency=medium

  * Import upstream version 0.99.
    - Fixes "memory leak with < \undef" (Closes: #301774)
    - Fixes "IPC::Run::_write call to POSIX::write() causes process to exit"
      (Closes: #746804)
    - Fixes "New upstream release" (Closes: #894596)
      Thanks to Niels Thykier for the bug report.
  * Update years of packaging copyright.
  * Add build dependency on libreadonly-perl.

 -- gregor herrmann <gregoa@debian.org>  Mon, 02 Apr 2018 16:08:50 +0200

libipc-run-perl (0.97-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org
  * Import upstream version 0.97
  * Bump Debhelper compat level to 10
  * Update copyright years for debian/* packaging files
  * Set Rules-Requires-Root to no

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 27 Mar 2018 19:29:38 +0200

libipc-run-perl (0.96-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Jay Bonci from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Import upstream version 0.96
  * debian/upstream/metadata: Update Bug-Database information
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.0.0
  * Refresh hashbang.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 03 Aug 2017 05:51:27 +0200

libipc-run-perl (0.94-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ intrigeri ]
  * Imported Upstream version 0.94 (Closes: #688314)
  * Add debian/upstream/metadata
  * debian/copyright: update upstream copyright years.
  * Bump debian/compat to 9 and version build-dependency
    on debhelper to >= 9 accordingly.
  * Declare compliance with Standards-Version 3.9.6.

  [ gregor herrmann ]
  * Mark package as autopkgtest-able.
  * debian/copyright: add stanza for lib/IPC/Run/Win32*.pm.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 May 2015 17:04:50 +0200

libipc-run-perl (0.92-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 0.92
  * Update format of debian/copyright file.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
  * Bump Standards-Version to 3.9.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 31 Aug 2012 19:18:52 +0200

libipc-run-perl (0.91-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Imported Upstream version 0.91
  * Update copyright years for debian/* packaging

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 15 Feb 2012 22:04:46 +0100

libipc-run-perl (0.90-1) unstable; urgency=low

  * New upstream release
  * Email change: Salvatore Bonaccorso -> carnil@debian.org
  * Bump Debhelper compat level to 8.
  * debian/control: Bump versioned Build-Depends on debhelper to (>= 8).
  * debian/copyright:
    - Update copyright years for debian/* packaging.
    - Explicitly point to GPL-1 license text in common-licenses.
    - Refer to Debian systems in general instead of only Debian
      GNU/Linux systems.
  * debian/patches: update hashbang.patch patch header.
  * Bump Standards-Version 3.9.2.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 04 Jul 2011 21:47:17 +0200

libipc-run-perl (0.89-1) unstable; urgency=low

  * New upstream release
  * Re-add versioned dependencies on libio-pty-perl with epoch in the version
    string to be correct now.
  * Drop fix-pod.patch as it is applied upstream.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 04 Apr 2010 22:15:51 +0200

libipc-run-perl (0.86-1) unstable; urgency=low

  [ gregor herrmann ]
  * Extend patch hashbang.patch to also fix the path to perl in yet another
    example script; thanks to Dario Minnucci for the bug report
    (closes: #543673).

  [ Salvatore Bonaccorso ]
  * New upstream release
  * Add myself to Uploaders.
  * Convert to '3.0 (quilt)' package source format. Drop use of README.source.
    Drop use of quilt.
  * Refresh debian/copyright to the current format-specification in revision
    135 of DEP5 for machine readable copyright file.
  * Minimize debian/rules file and use override targets. Bump required version
    on debhelper to (>= 7.0.50).
  * Make Build-Depends-Indep on libio-pty-perl now unversioned.
  * Refresh debian/patches and update headers to DEP3 patch guidelines.
  * Bump Standards-Version to 3.8.4 (no changes needed).

  [ gregor herrmann ]
  * Make Depends on libio-pty-perl now unversioned.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 28 Mar 2010 21:16:49 +0200

libipc-run-perl (0.84-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Gunnar Wolf ]
  * New upstream release
  * Added myself as an uploader
  * Standards version → 3.8.2 (no changes needed)

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 19 Jul 2009 02:54:36 +0200

libipc-run-perl (0.82-1) unstable; urgency=low

  [ Krzysztof Krzyżaniak (eloy) ]
  * New upstream release
  * Refresh debian/patch/fix-pod.patch

  [ gregor herrmann ]
  * debian/control:
    - switch Vcs-Browser field to ViewSVN
    - add ${misc:Depends} to Depends: field
    - remove Section and Priority field from binary stanza
    - mention module name in long description
  * Add a description to hashbang.patch.
  * Fix some more POD errors in fix-pod.patch.
  * Set debhelper compatibility level to 7; adapt
    debian/{control,compat,rules}.
  * debian/copyright: switch to new format.

 -- gregor herrmann <gregoa@debian.org>  Mon, 05 Jan 2009 17:54:54 +0100

libipc-run-perl (0.80-2) unstable; urgency=low

  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza).
  * Set Maintainer to Debian Perl Group.
  * Use dist-based URL in debian/watch.
  * Split out changes to upstream code into proper patches; add quilt
    framework.
  * Set debhelper compatibility level to 5.
  * Refresh debian/rules, no functional changes.
  * Fix small error in long description and POD (closes: #477399).
    Thanks to Reuben Thomas for the bug report.
  * Set Standards-Version to 3.8.0; add debian/README.source to document
    quilt usage.
  * Add /me to Uploaders.
  * debian/copyright: extend years of copyright according to the different
    upstream source files.
  * Remove debian/libipc-run-perl.install from source package, not needed;
    remove debian/libipc-run-perl.examples, the examples are installed via
    debian/rules; retain the directory for the abuse examples.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Jul 2008 21:26:53 +0200

libipc-run-perl (0.80-1) unstable; urgency=low

  * New upstream version (Closes: #303585)
  * Fix for typo in man page (Closes: #333554)
  * Fix for debian/watch so uupdate will work
  * Policy-version 3.7.2.0 (No other changes).
  * Placed debhelper in Build-Depends instead of Build-Depends-Indep

 -- Jay Bonci <jaybonci@debian.org>  Fri,  2 Jun 2006 23:09:35 -0400

libipc-run-perl (0.78-2) unstable; urgency=low

  * Fixed debian/watch so uscan will actually work now

 -- Jay Bonci <jaybonci@debian.org>  Thu,  9 Sep 2004 04:41:41 -0400

libipc-run-perl (0.78-1) unstable; urgency=low

  * New upstream version
  * reap_nb() "Not an ARRAY reference" fixed upstream (Closes: #220661)

 -- Jay Bonci <jaybonci@debian.org>  Mon, 19 Jul 2004 07:45:05 -0400

libipc-run-perl (0.77-1) unstable; urgency=low

  * New upstream version

 -- Jay Bonci <jaybonci@debian.org>  Sun,  9 Nov 2003 22:57:40 -0500

libipc-run-perl (0.75-4) unstable; urgency=low

  * New Maintainer (closes: #210213)
  * Bumped policy version to 3.6.1.0 (no changes)
  * Changed the rules file over to my standard template
  * Added a watch file
  * Clarified copyright file
    - Added a pointer to the GPL
    - Clarified the duality of the license.

 -- Jay Bonci <jay@bonci.com>  Fri, 19 Sep 2003 23:35:04 -0400

libipc-run-perl (0.75-3) unstable; urgency=low

  * debian/control: changed build dependency on 'debhelper' to '(>= 4.1)'
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 26 Jul 2003 19:49:00 -0500

libipc-run-perl (0.75-2) unstable; urgency=low

  * debian/control: added build dependency on 'netbase'
    (closes: Bug#190778)
  * debian/control: updated sections according to latest archive changes:
    - 'libipc-run-perl' from 'interpreters' to 'perl'
  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices
  * debian/control: upgraded to Debian Policy 3.5.9 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 26 Apr 2003 18:48:39 -0500

libipc-run-perl (0.75-1) unstable; urgency=low

  * New upstream release
  * debian/control: upgraded to Debian Policy 3.5.8 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 29 Jan 2003 15:46:34 -0600

libipc-run-perl (0.74-3) unstable; urgency=low

  * debian/copyright: added pointer to license
    (closes: Bug#157600)

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri, 20 Sep 2002 20:27:25 -0500

libipc-run-perl (0.74-2) unstable; urgency=low

  * debian/rules: split off 'install' target from 'binary-indep' target

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 18 Jul 2002 21:04:19 -0500

libipc-run-perl (0.74-1) unstable; urgency=low

  * Initial Release
    (closes: Bug#151928)

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu,  4 Jul 2002 11:37:29 -0500
